RagTime5StyleManager::TextStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
RagTime5StyleManager::TextStyle Struct Reference

the text style of a RagTime v5-v6 document More...

`#include <RagTime5StyleManager.hxx>`

## Public Member Functions
| TextStyle ()
| constructor More...
virtual | ~TextStyle ()
| destructor More...
bool | isDefault () const
| returns true if the line style is default More...
void | insert (TextStyle const &childStyle)
| update the current style More...
bool | read (RagTime5StructManager::Field const &field)
| try to read a text style More...

## Static Public Member Functions
static std::string | getLanguageLocale (int id)
| returns the language locale name corresponding to an id ( if known) More...

## Public Attributes
int | m_parentId [2]
| the parent id ( main and style ?) More...
std::vector< int > | m_linkIdList
| the link id list More...
int | m_dateStyleId
| the date style id More...
int | m_graphStyleId
| the graphic style id More...
int | m_graphLineStyleId
| the graphic line style id More...
MWAWVariable< bool > | m_keepWithNext
| the keep with next flag More...
int | m_justify
| justify 0: left, 1:center, 2:right, 3:full, 4:full all More...
double | m_spacings [3]
| the interline/before/after value More...
int | m_spacingUnits [3]
| the interline/before/after unit 0: line, 1:point More...
int | m_breakMethod
| the break method 0: asIs, next container, next page, next even page, next odd page More...
double | m_margins [3]
| the spacings in point ( left, right, first) More...
std::vector< RagTime5StructManager::TabStop > | m_tabList
| the tabulations More...
librevenge::RVNGString | m_fontName
| the font name More...
int | m_fontId
| the font id More...
float | m_fontSize
| the font size More...
uint32_t | m_fontFlags [2]
| the font flags (add and remove ) More...
MWAWVariable< float > | m_scriptPosition
| the font script position ( in percent) More...
float | m_fontScaling
| the font script position ( in percent) More...
int | m_underline
| underline : none, single, double More...
int | m_caps
| caps : none, all caps, lower caps, inital caps + other lowers More...
int | m_language
| the language More...
double | m_letterSpacings [4]
| the spacings in percent ( normal, minimum, maximum) More...
double | m_widthStreching
| the width streching More...
int | m_numColumns
| the number of columns More...
double | m_columnGap
| the gap between columns More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextStyle const &style)
| operator<< More...

## Detailed Description

the text style of a RagTime v5-v6 document

## Constructor & Destructor Documentation

RagTime5StyleManager::TextStyle::TextStyle | ( |  | ) |
| inline

constructor

RagTime5StyleManager::TextStyle::~TextStyle | ( |  | ) |
| virtual

destructor

## Member Function Documentation

std::string RagTime5StyleManager::TextStyle::getLanguageLocale | ( | int | id | ) |
| static

returns the language locale name corresponding to an id ( if known)

Referenced by operator<<(), and RagTime5StyleManager::updateTextStyles().

void RagTime5StyleManager::TextStyle::insert | ( | RagTime5StyleManager::TextStyle const & | child | ) |

update the current style

Referenced by RagTime5StyleManager::updateTextStyles().

bool RagTime5StyleManager::TextStyle::isDefault | ( |  | ) | const
| inline

returns true if the line style is default

bool RagTime5StyleManager::TextStyle::read | ( | RagTime5StructManager::Field const & | field | ) |

try to read a text style

Referenced by RagTime5StyleManagerInternal::TextFieldParser::parseField(), and RagTime5StyleManagerInternal::TextFieldParser::parseHeaderField().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5StyleManager::TextStyle const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

int RagTime5StyleManager::TextStyle::m_breakMethod

the break method 0: asIs, next container, next page, next even page, next odd page

Referenced by insert(), and operator<<().

int RagTime5StyleManager::TextStyle::m_caps

caps : none, all caps, lower caps, inital caps + other lowers

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

double RagTime5StyleManager::TextStyle::m_columnGap

the gap between columns

Referenced by insert(), and operator<<().

int RagTime5StyleManager::TextStyle::m_dateStyleId

the date style id

Referenced by insert(), and operator<<().

std::string RagTime5StyleManager::TextStyle::m_extra

extra data

Referenced by operator<<().

uint32_t RagTime5StyleManager::TextStyle::m_fontFlags[2]

the font flags (add and remove )

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_fontId

the font id

Referenced by insert(), operator<<(), RagTime5StyleManager::readTextStyles(), and RagTime5StyleManager::updateTextStyles().

librevenge::RVNGString RagTime5StyleManager::TextStyle::m_fontName

the font name

Referenced by insert(), operator<<(), and RagTime5StyleManager::readTextStyles().

float RagTime5StyleManager::TextStyle::m_fontScaling

the font script position ( in percent)

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

float RagTime5StyleManager::TextStyle::m_fontSize

the font size

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_graphLineStyleId

the graphic line style id

Referenced by insert(), and operator<<().

int RagTime5StyleManager::TextStyle::m_graphStyleId

the graphic style id

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_justify

justify 0: left, 1:center, 2:right, 3:full, 4:full all

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

MWAWVariable<bool> RagTime5StyleManager::TextStyle::m_keepWithNext

the keep with next flag

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_language

the language

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

double RagTime5StyleManager::TextStyle::m_letterSpacings[4]

the spacings in percent ( normal, minimum, maximum)

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

std::vector<int> RagTime5StyleManager::TextStyle::m_linkIdList

the link id list

Referenced by insert(), and operator<<().

double RagTime5StyleManager::TextStyle::m_margins[3]

the spacings in point ( left, right, first)

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_numColumns

the number of columns

Referenced by insert(), and operator<<().

int RagTime5StyleManager::TextStyle::m_parentId[2]

the parent id ( main and style ?)

Referenced by operator<<(), and RagTime5StyleManager::readTextStyles().

MWAWVariable<float> RagTime5StyleManager::TextStyle::m_scriptPosition

the font script position ( in percent)

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

double RagTime5StyleManager::TextStyle::m_spacings[3]

the interline/before/after value

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_spacingUnits[3]

the interline/before/after unit 0: line, 1:point

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

std::vector<RagTime5StructManager::TabStop> RagTime5StyleManager::TextStyle::m_tabList

the tabulations

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

int RagTime5StyleManager::TextStyle::m_underline

underline : none, single, double

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

double RagTime5StyleManager::TextStyle::m_widthStreching

the width streching

Referenced by insert(), operator<<(), and RagTime5StyleManager::updateTextStyles().

The documentation for this struct was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx